Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.xml
Class ProcessHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.ProcessHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

Direct Known Subclasses:
  ProcessGetInformationHandler

    public class ProcessHandler

extends org.drools.core.xml.BaseAbstractHandler
implements org.drools.core.xml.Handler

Field Summary
`static String` | `ASSOCIATIONS`
`static String` | `CONNECTIONS`
`static String` | `ERRORS`
`static String` | `ESCALATIONS`
`static String` | `LINKS`

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`ProcessHandler()`

Method Summary
`protected static void` | `addCompensationScope(RuleFlowProcess process, Node node, NodeContainer parentContainer, String compensationHandlerId)`
`Object` | `end(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
`Class<?>` | `generateNodeFor()`
`protected void` | `handleIntermediateOrEndThrowCompensationEvent(ExtendedNodeImpl throwEventNode)`
`static void` | `linkAssociations(Definitions definitions, NodeContainer nodeContainer, List<Association> associations)`
`static void` | `linkBoundaryEvents(NodeContainer nodeContainer)`
`static void` | `linkConnections(NodeContainer nodeContainer, List<SequenceFlow> connections)`
`static void` | `linkIntermediateLinks(NodeContainer process, List<IntermediateLink> links)`
`Object` | `start(String uri, String localName, Attributes attrs, org.drools.core.xml.ExtensibleXmlParser parser)`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, getValidParents, getValidPeers`

Field Detail

### CONNECTIONS

    public static final String CONNECTIONS

See Also:
  Constant Field Values

### LINKS

    public static final String LINKS

See Also:
  Constant Field Values

### ASSOCIATIONS

    public static final String ASSOCIATIONS

See Also:
  Constant Field Values

### ERRORS

    public static final String ERRORS

See Also:
  Constant Field Values

### ESCALATIONS

    public static final String ESCALATIONS

See Also:
  Constant Field Values

Constructor Detail

### ProcessHandler

    public ProcessHandler()

Method Detail

### start

    public Object start(String uri,
                        String localName,
                        Attributes attrs,
                        org.drools.core.xml.ExtensibleXmlParser parser)
                 throws SAXException

  Specified by:
    `start` in interface `org.drools.core.xml.Handler`
  Throws:
    `SAXException`

### end

    public Object end(String uri,
                      String localName,
                      org.drools.core.xml.ExtensibleXmlParser parser)
               throws SAXException

  Specified by:
    `end` in interface `org.drools.core.xml.Handler`
  Throws:
    `SAXException`

### linkIntermediateLinks

    public static void linkIntermediateLinks(NodeContainer process,
                                             List<IntermediateLink> links)

### generateNodeFor

    public Class<?> generateNodeFor()

  Specified by:
    `generateNodeFor` in interface `org.drools.core.xml.Handler`

### linkConnections

    public static void linkConnections(NodeContainer nodeContainer,
                                       List<SequenceFlow> connections)

### linkBoundaryEvents

    public static void linkBoundaryEvents(NodeContainer nodeContainer)

### linkAssociations

    public static void linkAssociations(Definitions definitions,
                                        NodeContainer nodeContainer,
                                        List<Association> associations)

### addCompensationScope

    protected static void addCompensationScope(RuleFlowProcess process,
                                               Node node,
                                               NodeContainer parentContainer,
                                               String compensationHandlerId)

### handleIntermediateOrEndThrowCompensationEvent

    protected void handleIntermediateOrEndThrowCompensationEvent(ExtendedNodeImpl throwEventNode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.